import { AxiosRequestConfig } from 'axios';
import { IProxyConfig } from '../model/ProxyConfig';
export declare class HttpClient {
    private USER_AGENT_HEADER;
    private _basicCredentials;
    private _axiosInstance;
    constructor(config: IHttpConfig);
    doRequest(httpOptions: AxiosRequestConfig): Promise<any>;
    doAuthRequest(httpOptions: AxiosRequestConfig): Promise<any>;
    private addUserAgentHeader;
    /**
     * @param proxyConfig - Receives on of the three:
     * 1. IProxyConfig to use specific proxy config.
     * 2. 'false' to disable proxy.
     * 3. 'undefined' to use environment variables if exist.
     *
     * @returns AxiosProxyConfig to use specific proxy config, false to disable proxy or undefined to use environment.
     */
    private getAxiosProxyConfig;
}
export interface IHttpConfig {
    serverUrl?: string;
    username?: string;
    password?: string;
    proxy?: IProxyConfig | false;
    headers?: {
        [key: string]: string;
    };
}
