"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SystemClient {
    constructor(httpClient) {
        this.httpClient = httpClient;
        this.pingEndpoint = '/api/v1/system/ping';
        this.versionEndpoint = '/api/v1/system/version';
    }
    async ping() {
        const httpOptions = {
            url: this.pingEndpoint,
            method: 'get',
            timeout: 2000
        };
        try {
            return await this.httpClient.doRequest(httpOptions);
        }
        catch (error) {
            return false;
        }
    }
    async version() {
        const httpOptions = {
            url: this.versionEndpoint,
            method: 'get'
        };
        return await this.httpClient.doAuthRequest(httpOptions);
    }
}
exports.SystemClient = SystemClient;
//# sourceMappingURL=SystemClient.js.map